function [A,B,E,Cy,Cz] = ESsystem(Tau,Ts)
%% ========================================================================
% SYSTEM SETUP
% =========================================================================
m = length(Tau);

den = cell(m+1,m);
num = cell(m+1,m);
lambda = zeros(m);
tfun = cell(m,1);
% default values in cell array
for i = 1:m
    for j = 1:m
        num{i,j} = 0;
        den{i,j} = 1;
    end
end

% subsystems
for i = 1:m;
    num{i,i} = 1;
    lambda(i,i) = 0;
    den{i,i} = conv(conv([Tau(i) 1],[Tau(i) 1]),[Tau(i) 1]);
    tfun{i} = tf(num{i,i},den{i,i});
end

% total output
i = m+1;
for j = 1:m;
    num{i,j} = 1;
    lambda(i,j) = 0;
    den{i,j} = conv(conv([Tau(j) 1],[Tau(j) 1]),[Tau(j) 1]);
end


% create transfer function
G = tf(num,den);

% create state space system
csys = ss(G);

% discretize
dsys = c2d(csys,Ts,'zoh');
[A,B,C] = dssdata(dsys);

Cy = C;
Cz = C(end,:);
E = B;