function [A,B,E,Cy,Cz] = MSsystem(nm, na, Ts)
%% ========================================================================
% SYSTEM SETUP
% =========================================================================
lambda = full(spdiags([ones(nm,1) -2*ones(nm,1) 1*ones(nm,1)], -1:1, nm, nm));
Ac = [zeros(nm,nm) eye(nm,nm); 
      lambda zeros(nm,nm)];
Bc = [zeros(nm, 2*na); 
      eye(na, na) -eye(na);
      zeros(nm-na,2*na)];

% discretization
Cc = [eye(nm) zeros(nm)];
Dc = zeros(size(Cc,1),size(Bc,2));
[A B C ~] = c2dm(Ac,Bc,Cc,Dc, Ts,'zoh');
E = B;
Cy = C;
Cz = C;
